<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets">
	<html>
	<body>
<div id="Menu">
		<ui:include src="HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		 		 <div class="col-lg-9" >
		 		 <div class="row">
					<div class="col-md-12">
						<div class="widget">
							<div class="widget-header transparent">
								<h2><strong>Job Requests</strong> </h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="data-table-toolbar">
									<div class="row">
										<div class="col-md-4">
											<form role="form">
											<input type="text" class="form-control" placeholder="Search..."/>
											</form>
										</div>
										<div class="col-md-8">
											<div class="toolbar-btn-action">
											<h:link outcome="/AjouJobOffer?faces-redirect=true" ><h:commandButton  value="add new" class="btn btn-success" actionListener="/AjouJobOffer?faces-redirect=true" rendered="#{not jobOfferBean.showRequests}" ></h:commandButton></h:link>
											<h:form>
										  <h:commandLink action="#{jobOfferBean.doHideRequest()}" value="" >  <h:commandButton  value="return" class="btn btn-success" rendered="#{jobOfferBean.showRequests}" action="#{jobOfferBean.doHideRequest()}" ></h:commandButton></h:commandLink>
											</h:form>
											</div>
										</div>
									</div>
								</div>
									
								<div class="table-responsive">
								<h:form>
									
								<h:dataTable border="2"   value="#{jobRequestBean.jobRequests}" var="jobRequest" data-sortable="table table-hover table-striped">
								<h:column><f:facet name="header"><h:outputText value="N°" /> </f:facet> <h:outputText value="#{jobOfferBean.jobOffers.indexOf(jobOffer)+1}" /></h:column> 										
								
								<h:column><f:facet name="header" ><h:outputText value="name" /></f:facet> <h:outputText value="#{jobRequest.nameCandidate}" ></h:outputText></h:column>
								<h:column><f:facet name="header" ><h:outputText value="Last name" /></f:facet> <h:outputText value="#{jobRequest.lastNameCandidate}" ></h:outputText></h:column>
								<h:column><f:facet name="header" ><h:outputText value="E-mail" /></f:facet> <h:outputText value="#{jobRequest.emailOfCandidate}" ></h:outputText></h:column>
								<h:column><f:facet name="header" ><h:outputText value="Date of birth" /></f:facet> <h:outputText value="#{jobRequest.dateOfBirthCandidate}" ></h:outputText></h:column>	
								<h:column><f:facet name="header" ><h:outputText value="Phone" /></f:facet> <h:outputText value="#{jobRequest.phoneOfCandidate}" ></h:outputText></h:column>
								<h:column><f:facet name="header" ><h:outputText value="Date of publishing" /></f:facet> <h:outputText value="#{jobRequest.dateOfRequest}" ></h:outputText></h:column>
						        <h:column><f:facet name="header"><h:outputText value="Interview" /></f:facet><h:commandLink   value="" class="fa fa-search"   ></h:commandLink> </h:column> 
								<h:column><f:facet name="header"><h:outputText value="delete" /></f:facet><h:commandLink value="" class="fa fa-trash-o" action="#{jobRequestBean.doDelete(jobRequest)}" /></h:column> 
								
								
								</h:dataTable>
									
					
										</h:form>	
								</div>
									
								</div>
								
							</div>
						</div>
					</div>
		 </div>
		  test Extends HR manager
		  </div>
		  
		</div>
		<ui:include src="Footer.xhtml" />
		</body>
		</html>
</ui:composition>